Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPMethodSpecialization

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`, `ICPPFunction`, `ICPPMember`, `ICPPMethod`, `ICPPSpecialization`, `IFunction`

    public interface ICPPMethodSpecialization
    extends ICPPSpecialization, ICPPMethod

Specialization of a method.

Since:
  5.5
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPMember

`v_private, v_protected, v_public`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPMethod

`EMPTY_CPPMETHOD_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IType[]` `getExceptionSpecification​(IASTNode point)` Deprecated. Use `ICPPFunction.getExceptionSpecification()` instead.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPFunction

`getDeclaredType, getExceptionSpecification, getParameters, getRequiredArgumentCount, getType, hasParameterPack, isConstexpr, isDeleted, isExternC, isInline, isMutable`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPMember

`getClassOwner, getType, getVisibility, isStatic`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPMethod

`isDestructor, isExplicit, isFinal, isImplicit, isOverride, isPureVirtual, isVirtual`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPSpecialization

`getSpecializedBinding, getTemplateParameterMap`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IFunction

`getFunctionScope, isAuto, isExtern, isNoDiscard, isNoReturn, isRegister, isStatic, takesVarArgs`

### Method Detail

#### getExceptionSpecification

    @Deprecated
    IType[] getExceptionSpecification​(IASTNode point)

Deprecated.
Use `ICPPFunction.getExceptionSpecification()` instead.